/*!
* \file affichage.h
* \brief Fichier contenant les signatures des fonctions liees a l'affichage par SDL.
*/
#ifndef SDL_H_INCLUDED
#define SDL_H_INCLUDED

#define LARGEUR_CARTE 16
#define HAUTEUR_CARTE 10
#define LARGEUR_CASE 53
#define HAUTEUR_CASE 71
#define NB_PERSO 3
#define NB_JOUEURS 2
#define HAUTEUR_BOUTON 20
#define LARGEUR_BOUTON 115
#define LARGEUR_BORDURE 220

int main_affichage();

int perso_suivant(int numPerso);
int actualiser_num_perso(int numPerso);

int afficher_cartes_personnalisees();
char* afficherListeClasses(char** nomsClasses, char** skinsClasses, int nbChoix);

int saisie_noms_joueurs();

int affichage_menu_configuration();

int affichage_ecran_accueil();

int affichage_carte();

int afficher_menu();

/*! \enum EtatsJeu
 * \brief Definition du type EtatsJeu.
 */
 /*
  * Les tats du jeu sont bass sur le scnarion dfinit dans la documentation.
  * Il y en a ventuellement  ajouter ou  supprimer.
  * Je pense notament aux tats JxPy attaque ou deplacement.
  * Il me semble que c'est un tat diffrent  chaque fois, mais peut tre qu'on peut
  * tout runir dans l'tat TOUR_JxPy. Dites moi ce que vous en pensez.
  * En tout cas les premiers tats jusqu' CONFIGURATION devraient permettre de rendre la V2.
  */
typedef enum    {SAISIE_JOUEURS,
                LANCEMENT,
                CONFIGURATION,
                TOUR_J1P1,
                J1P1_DEPLACEMENT,
                J1P1_ATTAQUE,
                TOUR_J1P2,
                J1P2_DEPLACEMENT,
                J1P2_ATTAQUE,
                TOUR_J1P3,
                J1P3_DEPLACEMENT,
                J1P3_ATTAQUE,
                TOUR_J2P1,
                J2P1_DEPLACEMENT,
                J2P1_ATTAQUE,
                TOUR_J2P2,
                J2P2_DEPLACEMENT,
                J2P2_ATTAQUE,
                TOUR_J2P3,
                J2P3_DEPLACEMENT,
                J2P3_ATTAQUE,
                VICTOIRE,
                FERMER
                }EtatsJeu;

#endif
